Bug 430627 - vte-0.16.12-1.fc8 update makes terminal fonts blurry
vte-0.16.12-1.fc8 update makes terminal fonts blurry
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 01:12 EST by Todd Zullinger
Modified: 2008-02-19 01:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 01:55:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snippet from the vte NEWS file, using vte-0.16.9-1.fc8 (19.16 KB, image/png)
2008-01-29 01:12 EST, Todd Zullinger
no flags Details
snippet from the vte NEWS file, using vte-0.16.12-1.fc8 (21.38 KB, image/png)
2008-01-29 01:13 EST, Todd Zullinger
no flags Details
~/.fonts.conf (516 bytes, text/plain)
2008-01-30 23:18 EST, Todd Zullinger
no flags Details
gedit with vte-0.16.9-1.fc8 (59.91 KB, image/png)
2008-01-31 00:44 EST, Todd Zullinger
no flags Details
gedit with vte-0.16.12-1.fc8 (59.91 KB, image/png)
2008-01-31 00:44 EST, Todd Zullinger
no flags Details

  None (edit)
Description Todd Zullinger 2008-01-29 01:12:06 EST
The vte-0.16.12-1.fc8 update in updates-testing seems to make fonts in
gnome-terminal a lot less crisp than they are with the current vte (0.16.9-1.fc8).

I'll attach screenshots for comparison.
Comment 1 Todd Zullinger 2008-01-29 01:12:06 EST
Created attachment 293242 [details]
snippet from the vte NEWS file, using vte-0.16.9-1.fc8
Comment 2 Todd Zullinger 2008-01-29 01:13:34 EST
Created attachment 293243 [details]
snippet from the vte NEWS file, using vte-0.16.12-1.fc8
Comment 3 Behdad Esfahbod 2008-01-29 03:56:32 EST
How does your gedit render the monospace font at the same size?

Do you have custom settings in your ~/.fonts.conf?
Comment 4 Todd Zullinger 2008-01-30 23:17:32 EST
Gedit seems to do fine.  Both gedit and gnome-terminal are set to use the
default monospace font.  I'll attach my ~/.fonts.conf.  I don't think there's
anything crazy in there, but you'll likely know better than I if something is
amiss.  Also, in case it may be useful, here's what I have set in gconf
/desktop/gnome/font_rendering:

 rgba_order = vrgb
 antialiasing = rgba
 dpi = 100
 hinting = full
Comment 5 Todd Zullinger 2008-01-30 23:18:45 EST
Created attachment 293537 [details]
~/.fonts.conf
Comment 6 Behdad Esfahbod 2008-01-30 23:39:06 EST
You shouldn't do that.

Set your font options from gnome-font-properties.

I wonder why your gedit is rendering fine though.  Can you attach shots of both?
Comment 7 Todd Zullinger 2008-01-31 00:43:31 EST
I've never written ~/.fonts.conf manually.  I just assumed that file was placed
there by gnome-font-properties.  I don't believe I have used any other gui tool
to tweak the font settings.  And this is a fresh F8 install with a clean /home.
 I guess deleting that file be a good thing to test.  I will let you know if I
do so and notice any relevant differences.
Comment 8 Todd Zullinger 2008-01-31 00:44:31 EST
Created attachment 293543 [details]
gedit with vte-0.16.9-1.fc8
Comment 9 Todd Zullinger 2008-01-31 00:44:56 EST
Created attachment 293544 [details]
gedit with vte-0.16.12-1.fc8
Comment 10 Behdad Esfahbod 2008-01-31 01:47:40 EST
I'm totally puzzled now.

1) No, gnome-font-properties is not supposed to write a ~/.fonts.conf.  Is it a
fresh F8 with no home directory carried over?!?!

2) gedit obviously has subpixel rendering enabled, but the two vte shots don't.

Just remove the fonts.conf and reattach all three shots please.
Comment 11 Todd Zullinger 2008-02-13 23:05:37 EST
Behdad,

Apologies for the delay in responding.  I did find that removing ~/.fonts.conf
fixed the problem.  I also found that it is created automatically when the KDE
control center's (kcontrol) font pane is open (whether or not any changes are
made or the control center is closed without applying).  I'm not sure if I'd
ever opened that previously.

I don't use many KDE applications, occasionally K3B.  I tried opening K3B and
poking through it's dialogs to see if that would cause any KDE processes to
re-recreate ~/.fonts.conf, but none did.

I don't know much about fontconfig.  Should kcontrol not be creating ~/.fonts.conf?
Comment 12 Behdad Esfahbod 2008-02-19 01:55:42 EST
Thanks.  Forwarded this upstream to keep track of:
http://bugzilla.gnome.org/show_bug.cgi?id=517385

Note You need to log in before you can comment on or make changes to this bug.